Package org.pushingpixels.substance.api.tabbed

# Interface MultipleTabCloseListener

All Superinterfaces:
  `BaseTabCloseListener`

All Known Subinterfaces:
  `VetoableMultipleTabCloseListener`

public interface MultipleTabCloseListener extends BaseTabCloseListener
Listener on multiple tab closing. This class is part of officially supported API.

## Method Summary

Modifier and Type
Method
Description
`void`
`tabsClosed(JTabbedPane tabbedPane, Set<Component> tabComponents)`
Called when tabs are closed.
`void`
`tabsClosing(JTabbedPane tabbedPane, Set<Component> tabComponents)`
Called when tabs are about to be closed.

## Method Details

### tabsClosing

void tabsClosing(JTabbedPane tabbedPane, Set<Component> tabComponents)
Called when tabs are about to be closed.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabComponents` - Tab components to be closed.

### tabsClosed

void tabsClosed(JTabbedPane tabbedPane, Set<Component> tabComponents)
Called when tabs are closed.

Parameters:
  `tabbedPane` - Tabbed pane.
  `tabComponents` - Tab components closed.